%global npmname htmlparser

%global _use_internal_dependency_generator 0
%global __find_provides /bin/sh -c 'sed -n "s,.*/\\.npm/\\([^\\/]*\\)\\/\\([^/]*\\.[^/]*\\)/.*,nodejs(\\1) = \\2,p" |sort |uniq'
%global __find_requires /bin/sh -c 'sed -n "s,.*/dependson/\\([^@\\/]*\\)@\\([^@/]\\.[^@/]*\\)$,nodejs(\\1) = \\2,p" |sort |uniq'

Name:           nodejs-%{npmname}
Version:        1.7.3
Release:        3%{?dist}
Summary:        Forgiving HTML/XML/RSS Parser

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/tautologistics/node-htmlparser
Source0:        http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  nodejs-npm
Requires:       nodejs-npm

BuildArch:      noarch

%description
Forgiving HTML/XML/RSS Parser in JS for both Node and Browsers.


%prep
%setup -q -n package


%build
mkdir -p .%{_prefix}/lib/node/.npm
cp -a %{_prefix}/lib/node/.npm/* \
        .%{_prefix}/lib/node/.npm

npm_config_root=.%{_prefix}/lib/node \
npm_config_binroot=.%{_bindir} \
npm_config_manroot=.%{_mandir} \
npm install %{SOURCE0}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}
cp -a $PWD%{_prefix}/lib/node/%{npmname}{,@%{version}} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node
cp -a $PWD%{_prefix}/lib/node/.npm/%{npmname}/{%{version},active} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}
chmod 644 $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}/%{version}/package/profile

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_prefix}/lib/node/%{npmname}
%{_prefix}/lib/node/%{npmname}@%{version}
%{_prefix}/lib/node/.npm/%{npmname}
%doc LICENSE


%changelog
* Mon Jan 31 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.7.3-3
- Added automatic dependencies
- Only package currently build version

* Mon Dec 20 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.7.3-2
- Fix a permission issue

* Thu Dec 16 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.7.3-1
- Initial packaging
